---
title: Get Company Details
description: Retrieve company details including company ID, name, domain, code and email using merchant ID and email.
---

This API will get the company details. We must pass merchant id and email id in request. If the request has valid details, we will get details like company id, company name, company domain, company code and company email etc.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/invoicepay/api/merchant-details
```

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| merchant_id  required | Numeric | Need to pass the merchant id of company (length 1-11) | `1088` |
| email_id  required | Varchar | Need to pass the email_id of the company (length 1-50) | `xyz@company.com` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| result  required | String | Result messageSuccess - 200 (The transaction is success)Transaction in Process - 211 (The transaction is processing)Failed - 400 (The transaction is failed)Dropped - 401 (The transaction will not register properly)Cancel - 402 (payment that has not yet been processed)Incomplete - 403 (Not recieved any call back from bank)Bounced - 405 (The transaction has bounced)No Records - 503 (There are no records found) | `success` |
| data  required | Varchar | Data containsCOMPANY_ID - Company idCOMPANY_NAME - Company nameCOMPANY_DOMAIN - Company domainCOMPANY_CODE - Company codeCOMPANY_EMAIL - Company emailAIRPAY_MERCHANT_ID - airpay merchant idAIRPAY_USERNAME - airpay usernameAIRPAY_PASSWORD - airpay PasswordAIRPAY_SECRET_KEY - airpay secret keyEXPIRED_ON - Expired on is valid period for the invoiceEXPIRED_ON_OLD - Expired on old is valid period for the invoiceCOMPANY_SECRET_TOKEN - Company secret token |

## Request Example

```
{
     "merchant_id": 1088,
     "email_id": "xyz@company.com"
}
```

### Success Response

```
HTTP/1.1 200 OK
{
     "result":"success",
     "data": {
                 "COMPANY_ID":"034",
                 "COMPANY_NAME":"newcompany",
                 "COMPANY_DOMAIN":"testcompany",
                 "COMPANY_CODE":"123",
                 "COMPANY_EMAIL":"xyz@sample.com",
                 "AIRPAY_MERCHANT_ID":"1088",
                 "AIRPAY_USERNAME":" 1234567",
                 "AIRPAY_PASSWORD":" passABc",
                 "AIRPAY_SECRET_KEY":" 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps",
                 "EXPIRED_ON":"168",
                 "EXPIRED_ON_OLD":"168",
                 "COMPANY_SECRET_TOKEN":"91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
             }
}
```

### Error Response

```
HTTP/1.1 502 Not Found
 {
     "status": 502,
     "message": []
 }
```